For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sample appsIntegrationsDiscordPlaygroundDevEx repo
GuidesSDK ReferenceAPI Reference
GuidesSDK ReferenceAPI Reference
  • TwelveLabs API
    • Introduction
    • Authentication
  • API Reference
    • Manage indexes
      • The index object
      • POSTCreate an index
      • GETList indexes
      • GETRetrieve an index
      • PUTUpdate an index
      • DELDelete an index
    • Upload content
    • Index content
    • Manage videos
    • Manage entities
    • Any-to-video search
    • Create embeddings v2
    • Create embeddings v1
    • Analyze and segment videos
    • Error codes
LogoLogo
Sample appsIntegrationsDiscordPlaygroundDevEx repo
API ReferenceManage indexes

Delete an index

DELETE
https://api.twelvelabs.io/v1.3/indexes/:index-id
DELETE
/v1.3/indexes/:index-id
$curl -X DELETE https://api.twelvelabs.io/v1.3/indexes/6298d673f1090f1100476d4c \
> -H "x-api-key: <apiKey>"
1{}
This method deletes the specified index and all the videos within it. This action cannot be undone.
Was this page helpful?
Previous

Upload content

Next
Built with

Authentication

x-api-keystring

Your API key.

Note

You can find your API key on the API Keys page.

Path parameters

index-idstringRequired
Unique identifier of the index to delete.

Response

If successful, this method returns a 204 No Content response code. It does not return anything in the response body.

Errors

400
Bad Request Error